CON 
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000 

  US_005 = 80_000_000 / 1_000_000 * 5                           ' 5us
    
  XB_Rx     = 3    ' XBee DOUT 
  XB_Tx     = 4    ' XBee DIN 
  XB_Baud   = 9600 
  CR        = 13   ' Carriage Return value       

con

  #0, CLS, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN           ' PST formmatting control


var

   long stack2[50]
   long stack3[50]
   long Analog
   long xInputs                                                                        
OBJ 
   ADC        : "jm_adc0838_ez"
   XB         : "FullDuplexSerial"
   SR165      : "74HC165_120929e"
    
Pub  Start 

        XB.start(XB_Rx, XB_Tx, 0, XB_Baud)                           ' Initialize comms for XBee
 
        ADC.init(0, 1, 2)                                            ' setup ADC

        cognew(Switch_Read,@stack3)                          ' Start cog for Servo positioning
'        Switch_Read                                         'joystick data in only sent if this line is commented out
             
        waitcnt(clkfreq + cnt)
         
          repeat
            XB.tx("A")

            Analog := adc.read(0)                     'Read ADC                                 
            XB.dec(Analog)                            'Transmit
            XB.tx(CR)


            Analog := adc.read(1)
            XB.dec(Analog)
            XB.tx(CR)
          
         
            Analog := adc.read(2)
            XB.dec(Analog)
            XB.tx(CR)
       
         
            Analog := adc.read(3)
            XB.dec(Analog)
            XB.tx(CR)
       
          
            Analog := adc.read(4)
            XB.dec(Analog)
            XB.tx(CR)
       
         
            Analog := adc.read(5)
            XB.dec(Analog)
            XB.tx(CR)


            XB.dec(xInputs)
            XB.tx(CR)

            
Pub   Switch_Read

         SR165.Setup
         
         